com.informix.jdbc

## Class IfxLoStat

- java.lang.Object
- - com.informix.jdbc.IfxLoStat

    public class IfxLoStat
    extends java.lang.Object

The IfxLoStat class stores some statistical information about a smart large object such as the size, last access time, last modified time, last status change, and so on.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLastAccessTime()` Gets the last access time, in seconds, of the smart large object.
`int` `getLastModifyTimeM()` Gets the microseconds component of the time when the smart large object was last modified.
`int` `getLastModifyTimeS()` Gets the time, rounded to seconds, when the smart large object was last modified.
`int` `getLastStatusTime()` Gets the time, in seconds, when the status of the smart large object was last changed.
`IfxLobDescriptor` `getLobDescriptor()` Gets the IfxLobDescriptor of the smart large object.
`int` `getRefCount()` Gets the number of references count of the smart large object.
`long` `getSize()` Gets the size of the smart large object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSize

    public long getSize()

Gets the size of the smart large object.

Returns:
  The size of the smart large object.

#### getLastAccessTime

    public int getLastAccessTime()

Gets the last access time, in seconds, of the smart large object. The time of last access is maintained only if the smart large object has IfxlobDescriptor.LO_KEEP_LASTACCESS_TIME flags set.

Returns:
  The last access time.

#### getLastStatusTime

    public int getLastStatusTime()

Gets the time, in seconds, when the status of the smart large object was last changed. The status includes modification, changes in ownership, and changes in the number of references.

Returns:
  The time of last status change.

#### getLastModifyTimeS

    public int getLastModifyTimeS()

Gets the time, rounded to seconds, when the smart large object was last modified.

Returns:
  The time of last modification.

#### getLastModifyTimeM

    public int getLastModifyTimeM()

Gets the microseconds component of the time when the smart large object was last modified. To get the seconds component, use the getLastModifyTimeS() method.

Returns:
  The microseconds component of modified time.

#### getRefCount

    public int getRefCount()

Gets the number of references count of the smart large object.

Returns:
  The reference count of the smart large object.

#### getLobDescriptor

    public IfxLobDescriptor getLobDescriptor()

Gets the IfxLobDescriptor of the smart large object.

Returns:
  The Lob Descriptor of the smart large object.
See Also:
  `IfxLobDescriptor`